Bug 525734 - Work incorrect with Nokia 5320 XpressMusic
Summary: Work incorrect with Nokia 5320 XpressMusic
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 13:33 UTC by Sergei LITVINENKO
Modified: 2010-02-09 01:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 01:45:38 UTC


Attachments (Terms of Use)
Delta between Git and ModemManager-0.2-3.20090826.fc12.src.rpm (8.75 KB, patch)
2009-09-27 18:46 UTC, Sergei LITVINENKO
no flags Details | Diff

Description Sergei LITVINENKO 2009-09-25 13:33:37 UTC
Description of problem:
NetworkManager try to up dialup connection but can not. After, it is neccessary to re-connect phone to cable, because internal modem is not accessible any more.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.996-3.git20090921.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. Setup dial-up connection by USB cable in NetworkManager
2. Connect phone
3. Start dial-up connection by mobile phone
  
Actual results:
NetworkManager can not up mobile dial-up


Expected results:
NetworkManager can manage mobile dial-up


Additional info:

usb 1-2: USB disconnect, address 5
usb 1-2: new high speed USB device using ehci_hcd and address 6
usb 1-2: New USB device found, idVendor=0421, idProduct=00e9
usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-2: Product: Nokia 5320 XpressMusic
usb 1-2: Manufacturer: Nokia
usb 1-2: SerialNumber: 354826022435515
usb 1-2: configuration #1 chosen from 1 choice
cdc_acm 1-2:1.0: ttyACM0: USB ACM device

Standard ppp connection work OK

Sep 25 16:00:42 fedora12a wvdial[2461]: WvDial: Internet dialer version 1.60
Sep 25 16:00:42 fedora12a wvdial[2461]: Initializing modem.
Sep 25 16:00:42 fedora12a wvdial[2461]: Sending: ATZ
Sep 25 16:00:42 fedora12a wvdial[2461]: ATZ
Sep 25 16:00:42 fedora12a wvdial[2461]: OK
Sep 25 16:00:42 fedora12a wvdial[2461]: Sending: ATQ0V1E1S0=0&C1&D2+FCLASS=0
Sep 25 16:00:42 fedora12a wvdial[2461]: ATQ0V1E1S0=0&C1&D2+FCLASS=0
Sep 25 16:00:42 fedora12a wvdial[2461]: OK
Sep 25 16:00:42 fedora12a wvdial[2461]: Sending: AT+CGDCONT=1,"IP","3g.utel.ua"
Sep 25 16:00:42 fedora12a wvdial[2461]: AT+CGDCONT=1,"IP","3g.utel.ua"
Sep 25 16:00:42 fedora12a wvdial[2461]: OK
Sep 25 16:00:42 fedora12a wvdial[2461]: Modem initialized.
Sep 25 16:00:42 fedora12a wvdial[2461]: Sending: ATDT*99#
Sep 25 16:00:42 fedora12a wvdial[2461]: Waiting for carrier.
Sep 25 16:00:42 fedora12a wvdial[2461]: ATDT*99#
Sep 25 16:00:44 fedora12a wvdial[2461]: CONNECT
Sep 25 16:00:44 fedora12a wvdial[2461]: ~[7f]}#@!}!} } }2}#}$@#}!}$}%\}"}&} }*} } g}%~
Sep 25 16:00:44 fedora12a wvdial[2461]: Carrier detected.  Chatmode finished.
Sep 25 16:00:44 fedora12a pppd[2452]: Serial connection established.
Sep 25 16:00:44 fedora12a pppd[2452]: Using interface ppp0
Sep 25 16:00:44 fedora12a pppd[2452]: Connect: ppp0 <--> /dev/ttyACM0
Sep 25 16:00:44 fedora12a pppd[2452]: PAP authentication succeeded
Sep 25 16:00:45 fedora12a pppd[2452]: local  IP address 94.179.212.171
Sep 25 16:00:45 fedora12a pppd[2452]: remote IP address 10.6.6.6
Sep 25 16:00:45 fedora12a pppd[2452]: primary   DNS address 213.179.249.133
Sep 25 16:00:45 fedora12a pppd[2452]: secondary DNS address 212.113.36.14
Sep 25 16:00:45 fedora12a NET[2489]: /etc/sysconfig/network-scripts/ifup-post : updated /etc/resolv.conf

Comment 1 Sergei LITVINENKO 2009-09-27 18:46:49 UTC
Created attachment 362824 [details]
Delta between Git and ModemManager-0.2-3.20090826.fc12.src.rpm

Version from Git work for me.

Comment 2 Sergei LITVINENKO 2009-09-27 18:48:50 UTC
Problem is in ModemManager, not in NetworkManager.

Comment 3 Dan Williams 2009-11-07 03:24:06 UTC
Excellent, can you try http://koji.fedoraproject.org/koji/buildinfo?buildID=139944 for me and let me know if it works?  I'll probably push that as an F12-updates-testing build right after release.

Comment 4 Sergei LITVINENKO 2009-11-07 10:34:29 UTC
It work for me.

[root@eee901 download]# rpm -qa | grep Modem
ModemManager-0.2-4.20091105.fc13.i686

dmesg
---
...
usb 1-2: new high speed USB device using ehci_hcd and address 4
usb 1-2: New USB device found, idVendor=0421, idProduct=00e9
usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-2: Product: Nokia 5320 XpressMusic
usb 1-2: Manufacturer: Nokia
usb 1-2: SerialNumber: 354826022435515
usb 1-2: configuration #1 chosen from 1 choice
NET: Registered protocol family 35
cdc_acm 1-2:1.0: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
usbcore: registered new interface driver cdc_phonet
usbcore: registered new interface driver cdc_ether
usb 1-2: bad CDC descriptors
usbcore: registered new interface driver rndis_host
cfg80211: Calling CRDA to update world regulatory domain
usb 1-2: bad CDC descriptors
usbcore: registered new interface driver rndis_wlan
cfg80211: World regulatory domain updated:
        (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
        (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
        (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
        (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
        (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
        (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
PPP generic driver version 2.4.2
PPP Deflate Compression module registered


[root@eee901 download]# ifconfig ppp0
ppp0      Link encap:Point-to-Point Protocol
          inet addr:94.179.205.4  P-t-P:10.6.6.6  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1
          RX packets:9 errors:0 dropped:0 overruns:0 frame:0
          TX packets:5 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:316 (316.0 b)  TX bytes:94 (94.0 b)


[root@eee901 download]# ip rou show
...
default via 10.6.6.6 dev ppp0

[root@eee901 download]# ping ftp.kernel.org
PING pub.all.kernel.org (130.239.17.4) 56(84) bytes of data.
64 bytes from pub4.kernel.org (130.239.17.4): icmp_seq=1 ttl=51 time=865 ms
64 bytes from pub4.kernel.org (130.239.17.4): icmp_seq=2 ttl=51 time=338 ms
64 bytes from pub4.kernel.org (130.239.17.4): icmp_seq=3 ttl=51 time=327 ms
64 bytes from pub4.kernel.org (130.239.17.4): icmp_seq=4 ttl=51 time=346 ms
64 bytes from pub4.kernel.org (130.239.17.4): icmp_seq=5 ttl=51 time=325 ms
^C
--- pub.all.kernel.org ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4886ms
rtt min/avg/max/mdev = 325.058/440.242/865.070/212.551 ms


PS: Thanks
:-)

Comment 5 Bug Zapper 2009-11-16 12:57:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Dan Williams 2010-02-09 01:45:38 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.